net.sf.cglib.proxy

## Class UndeclaredThrowableException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - net.sf.cglib.core.CodeGenerationException
        - - net.sf.cglib.proxy.UndeclaredThrowableException

- All Implemented Interfaces:
    java.io.Serializable

      public class UndeclaredThrowableException
      extends CodeGenerationException

  Used by `Proxy` as a replacement for `java.lang.reflect.UndeclaredThrowableException`.
  Author:
    Juozas Baliuka
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UndeclaredThrowableException(java.lang.Throwable t)` Creates a new instance of `UndeclaredThrowableException` without detail message.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Throwable` | `getUndeclaredThrowable()`

    - ### Methods inherited from class net.sf.cglib.core.CodeGenerationException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UndeclaredThrowableException

          public UndeclaredThrowableException(java.lang.Throwable t)

      Creates a new instance of `UndeclaredThrowableException` without detail message.

  - ### Method Detail

    - #### getUndeclaredThrowable

          public java.lang.Throwable getUndeclaredThrowable()

Copyright (c) 2001 - Apache Software Foundation